Skip to main content
Filters

Browse Catalog

1,300 results
Retail View

LEED Brakes RFC0003-405X

Manual Front Kit with Drilled Rotors and Red Powder Coated Calipers; Leed Brakes complete drum to disc brake conversion kit consists of all new precision machined components. Designed for easy bolt on installation the kit includes complete step by step instructions and industry leading tech support.

Log in for inventory

LEED Brakes BFC1006-FA3X

Manual Front Kit with Drilled Rotors and Black Powder Coated Calipers; Leed Brakes complete drum to disc brake conversion kit consists of all new precision machined components. Designed for easy bolt on installation the kit includes complete step by step instructions and industry leading tech support.

Log in for inventory

LEED Brakes H76B2

7 inch dual power booster, 1-1/8 inch bore flat top master disc/drum (Chrome); Leed Brakes power booster assemblies are shipped fully assembled. This insures proper adjustment of the pushrod between the power booster and master cylinder and proper fitment all valves, lines and brackets for a trouble-free installation.

Log in for inventory

LEED Brakes RFC0006-405X

Manual Front Kit with Drilled Rotors and Red Powder Coated Calipers; Leed Brakes complete drum to disc brake conversion kit consists of all new precision machined components. Designed for easy bolt on installation the kit includes complete step by step instructions and industry leading tech support.

Log in for inventory

LEED Brakes A4043 CAL

New fully tested single piston caliper RH; Leed Brakes calipers are all new units assembled with the highest quality machined components. All units are pressure tested after assembly to insure years of trouble-free operation. Includes street performance semi-metallic brake pads.

Log in for inventory

LEED Brakes RFC0003-X405MX

Power Front Kit with Drilled Rotors and Zinc Plated Calipers; Leed Brakes complete drum to disc brake conversion kit consists of all new precision machined components. Designed for easy bolt on installation the kit includes complete step by step instructions and industry leading tech support.

Log in for inventory

LEED Brakes FC1002-NBB4

Power Front Kit with Plain Rotors and Zinc Plated Calipers; Leed Brakes complete drum to disc brake conversion kit consists of all new precision machined components. Designed for easy bolt on installation the kit includes complete step by step instructions and industry leading tech support.

Log in for inventory

LEED Brakes H76B4

7 inch dual power booster, 1-1/8 inch bore flat top master disc/disc (Chrome); Leed Brakes power booster assemblies are shipped fully assembled. This insures proper adjustment of the pushrod between the power booster and master cylinder and proper fitment all valves, lines and brackets for a trouble-free installation.

Log in for inventory

LEED Brakes RFC0006-X405MX

Power Front Kit with Drilled Rotors and Red Powder Coated Calipers; Leed Brakes complete drum to disc brake conversion kit consists of all new precision machined components. Designed for easy bolt on installation the kit includes complete step by step instructions and industry leading tech support.

Log in for inventory

LEED Brakes A4044 CAL

New fully tested single piston caliper LH; Leed Brakes calipers are all new units assembled with the highest quality machined components. All units are pressure tested after assembly to insure years of trouble-free operation. Includes street performance semi-metallic brake pads.

Log in for inventory

LEED Brakes RFC0004-405X

Manual Front Kit with Drilled Rotors and Red Powder Coated Calipers; Leed Brakes complete drum to disc brake conversion kit consists of all new precision machined components. Designed for easy bolt on installation the kit includes complete step by step instructions and industry leading tech support.

Log in for inventory

LEED Brakes 491

master cylinder, 15/16 in. bore 4 bolt flange; Leed Brakes master cylinders are all new units assembled with the highest quality machined components. All units include pushrod spacers and outlet plugs when needed to insure any easy installation in both power and manual applications.

Log in for inventory